html, body {
  height: 100% !important;
}

#shape-list,
.sticker-form-list,
#shipping-methods-list,
#payment-methods-list {
  padding-left: 0;
  margin-bottom: 0;
  list-style: none;
}

.no-list-style {
  padding-left: 0;
  margin-bottom: 0;
  list-style: none;
}

.no-list-style li {
  display: inline-block;
  margin-right: 0.5em;
}

.no-list-style:after {
  clear: both;
}

.sticker-options input[type="radio"] {
  display: none;
}

.sticker-options input[type="radio"] + label {
  border: 1px solid #f26da5;
  color: #f26da5;
  border-radius: 1em;
  padding: 0.25em 0.5em;
  font-size: 0.75em;
}

.sticker-options input[type="radio"] + label:hover {
  cursor: pointer;
}

.sticker-options input[type="radio"]:checked + label {
  border: none;
  color: white;
  font-weight: bold;
  background-color: #f26da5;
}

#shape-list li,
.sticker-form-list li {
  float: left;
  margin-right: 0.5em;
  /* font-size: 0.75em; */
}

.sticker-form-list li {
  float: none;
  /* font-size: 0.875em; */
}

/*#shape-list li {
      display: inline-block;
      border: 1px solid black;
      padding: 1em;
      text-align: center;
      border-radius: 0.5em;
      margin-bottom: 0.5em;
  }*/
.shape,
.size {
  display: none;
}

li:last-child label {
  margin-bottom: 0;
}

#size-list {
  display: none;
}

.size + label {
  /*border: 1px solid lightgray;*/
  padding: 0.25em 0.5em;
  border-radius: 0.75em;
  padding-left: 32px;
  background-repeat: no-repeat;
  background-position-x: 4px;
  background-position-y: center;
  background-size: 20px;
  background-image: url("../images/li-inactive.png");
}

.size:checked + label {
  /*border-color: rgb(255, 141, 188);*/
  border: 1px solid rgb(255, 141, 188);
  background-image: url("../images/li-active.png");
}

.shape + label {
  border: 1px solid lightgray;
  border-radius: 0.75em;
  padding-top: 54px;
  background-repeat: no-repeat;
  background-position-x: center;
  background-position-y: 4px;
  background-size: 50px;
  /* width: 25%; */
  text-align: center;
}

.shape:checked + label {
  border-color: rgb(255, 141, 188);
  color: rgb(255, 141, 188);
  font-weight: bold;
}

.shape + label.shape-circle {
  background-image: url("../images/shapes/circle-inactive.png");
}

.shape:checked + label.shape-circle {
  background-image: url("../images/shapes/circle-active.png");
}

.shape + label.shape-square {
  background-image: url("../images/shapes/square-inactive.png");
}

.shape:checked + label.shape-square {
  background-image: url("../images/shapes/square-active.png");
}

.shape + label.shape-rectangle {
  background-size: 75px 50px;
  background-image: url("../images/shapes/rectangle-inactive.png");
}

.shape:checked + label.shape-rectangle {
  background-size: 75px 50px;
  background-image: url("../images/shapes/rectangle-active.png");
}

.shape + label.shape-heart {
  background-size: 63px 50px;
  background-image: url("../images/shapes/heart-inactive.png");
}

.shape:checked + label.shape-heart {
  background-size: 63px 50px;
  background-image: url("../images/shapes/heart-active.png");
}

.shape + label.shape-custom {
  background-size: 50px 50px;
  background-image: url("../images/shapes/custom-inactive.png");
}

.shape:checked + label.shape-custom {
  background-size: 50px 50px;
  background-image: url("../images/shapes/custom-active.png");
}

.bg-pink {
  background-color: rgb(255, 141, 188);
}

.alert-pink {
  color: rgb(205, 52, 123);
  background: rgba(255, 141, 188, 0.25);
  border-color: rgb(255, 141, 188);
}

.btn-pink {
  background-color: rgb(255, 141, 188);
  border-color: rgb(255, 141, 188);
  color: white;
}

.btn-pink[disabled]:hover {
  background-color: rgb(255, 141, 188);
}

.btn-pink:hover {
  background-color: #f26da5;
}

.container-fluid a {
  color: #f26da5;
}

.container-fluid a:hover {
  color: rgb(255, 141, 188);
}

.pink-underline {
  margin-bottom: 0.8em;
  padding-bottom: 0.125em;
  border-bottom: 2px solid rgb(255, 141, 188);
}

#custom-size-container {
  display: none;
}

#img-progress {
  display: none;
}

.error-list {
  font-size: 0.75em;
  color: red;
  list-style-type: circle;
  padding-left: 1.375em;
  margin-bottom: 0;
}

#subtotal-container {
  display: none;
}

/* default upload */
.preview-container {
  width: 33%;
  position: relative;
  padding: 0.5em;
}

img.preview {
  -webkit-filter: drop-shadow(3px 3px 5px rgba(0, 0, 0, 0.5));
  filter: drop-shadow(3px 3px 5px rgba(0, 0, 0, 0.5));
}

.img-shadow {
  -webkit-filter: drop-shadow(1px 1px 3px rgba(0, 0, 0, 0.5));
  filter: drop-shadow(1px 1px 3px rgba(0, 0, 0, 0.5));
}

.preview {
  /* border: 1px solid lightgray; */
  border-radius: 0;
  max-height: 200px;
  max-width: 100%;
  /* padding-top: 100%; */
  background-position: center !important;
  background-size: cover !important;
  background-repeat: no-repeat !important;
  position: relative;
  box-sizing: border-box;
}

.preview.circle {
  padding-top: 100% !important;
  border-radius: 50%;
}

.preview.square {
  /* padding-top: 100% !important; */
  border-radius: 0;
}

.preview.rectangle {
  /* padding-top: 70% !important; */
  border-radius: 0;
}

.preview.heart {
  border-radius: 0;
  /* padding-top: 80% !important; */
  border: none;
}

#checkout-btn,
#sticker-btn,
#tnc-container,
#order-details-form {
  display: none;
}

.optional::after {
  content: " - optional";
  color: gray;
  font-style: italic;
}

.mask-heart {
  -webkit-mask-image: url(../images/heart.svg);
  mask-image: url(../images/heart.svg);
  -webkit-mask-repeat: no-repeat;
  mask-repeat: no-repeat;
}

.mask-circle {
  border-radius: 50%;
}

#design-container-images {
  background-image: url(../images/checkered.jpg);
  padding: 0.5em 0;
}

.bg-checkered {
  background-image: url(../images/checkered.jpg);
}

.cropper-modal {
  opacity: 0.75;
}

.custom-outline {
  outline: 3px solid #0abab5;
  outline-color: #0abab5;
}

.design-btn {
  position: absolute;
  display: inline-block;
  z-index: 1000;
  padding: 0 0.25em;
  background-color: #fff;
  border-radius: 50%;
  border: 1px solid #f26da5;
}

.design-btn.edit {
  top: 0;
  right: 45px;
}

.design-btn.delete {
  top: 0;
  right: 0;
}

.design-btn:hover {
  border-color: rgb(255, 141, 188);
}

#colorPicker {
  width: 20px;
  border: none;
  outline: none;
  border-radius: 50%;
  height: 20px;
}

@media only screen and (max-width: 500px) {
  .preview-container {
    width: 50%;
  }

  .design-btn {
    font-size: 1.5em;
  }

  #modalStickerBag ul,
  #type-list {
    font-size: 0.9em;
  }
}

/* .cropper-container {
  width: 100% !important;
} */